#! /bin/sh

# $ApsCVS: src/apsfilter/global/GLOBAL.sh,v 1.24 2000/04/30 14:51:58 andreas Exp $

# apsfilters version number
VERSION=542

# NOTIFY whon in case of printer fault
NOTIFY=root

# possible PATH's ... is that enough ?! :)
# $APS_BASEDIR/bin not needed, since a2ps and rewindstdin have gone
APS_PATH=$APS_BASEDIR/setup:$APS_BASEDIR/global
STD_PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/contrib/bin
TEX_PATH_U=/usr/TeX/bin:/usr/local/TeX/bin:/TeX/bin:/usr/local/teTeX/bin
TEX_PATH_L=/usr/tex/bin:/usr/local/lib/{tex,mf}/bin:/tex/bin
SUN_PATH=/usr/ucb:/usr/openwin/bin:/usr/etc:/etc
GNU_PATH=/usr/gnu/bin:/gnu/bin:/usr/gnu
X11_PATH=/usr/bin/X11:/usr/X386/bin:/usr/X11/bin:/usr/X11R6/bin
COMMON_PATH=/usr/local/bin:/local/bin
# HERE IS THE TEMPLATE FOR YOU TO ADD PATHS THAT ARE ADDITIONALLY NEEDED !!!
LOCAL_PATH=/home/local/bin:/foo/bar

PATH=$APS_PATH:$STD_PATH:$TEX_PATH_U:$TEX_PATH_L:\
$SUN_PATH:$GNU_PATH:$X11_PATH:$COMMON_PATH:$LOCAL_PATH:.
export PATH

OLDCAP=/etc/printcap.old

# APS_BASEDIR is computed from /etc/printcap in apsfilter script
FILTERS_FOUND=$APS_BASEDIR/global/filters_found

# Try to get the correct spool dir and permissions
# the different Linux Systems do have differen permissions
# Hope we can manage things this way !!!

if [ -d /var/spool/lpd ]; then
	SPOOL=/var/spool/lpd
elif [ -d /var/spool ]; then
	SPOOL=/var/spool
else
	# create spool
	# assume owner lp, daemon or root
	SPOOL=/var/spool
	mkdir -p ${SPOOL}
	chown lp ${SPOOL} \
	|| chown daemon ${SPOOL} \
	|| chown root ${SPOOL}
fi

# drwxr-xr-x  9 root  wheel  512 13 Feb 14:20 /var/spool
# $1          $2 $3   $4

set -- `ls -ld ${SPOOL}`
LP_OWNER=$3
LP_GROUP=$4

SYSTEM=`uname -s`
case $SYSTEM in
	*SunOS*|*sunos*|*SUNOS*)	MAGIC=/etc/magic ;;
	BSD/386)			MAGIC=/usr/share/misc/magic ;;
	*BSD)				MAGIC=/etc/magic ;;
	Linux)				MAGIC=/etc/magic ;;
	*)				MAGIC=/etc/magic ;;
esac

#
# pager for SETUP
#
do_pager()
{
	case "$1" in
		-)		${PAGER-more} ;;
		*.Z)		zcat "$1" | ${PAGER-more} ;;
		*.gz|*.z)	gzip -cd "$1" | ${PAGER-more} ;;
		*)		${PAGER-more} < "$1" ;;
	esac
}             

#
# how to suppress newlines on echo command for nicer display ...
#
# first determine how to suppress newline on echo command
if { echo "hi there\c"; echo " "; } | grep -q c; then
    n='-n'
    c=''
else
    n=''
    c='\c'
fi
